## open-vm-tools 10.3.0

=== debian/changelog ===
open-vm-tools (2:10.3.0-1~bpo8+1) jessie-backports-sloppy; urgency=high

  * Rebuild for jessie-backports-sloppy.
  * [ac9c6e5] Add gbp.conf
  * [cca5401] Revert "Stay with libssl1.0 for now."
    This reverts commit d50714b27e07a494be0d29fb81e0a48e7e38435d.
  * [4956e09] Work around #888955.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 13 Aug 2018 18:09:13 +0200

open-vm-tools (2:10.3.0-1) unstable; urgency=medium

  * [16acbc3] Remove PrivateTmp=yes.
    Thanks to Christian Ehrhardt (Closes: #905170)
  * [72aabb2] Add RequiresMountsFor=/tmp.
    Thanks to Christopher Odenbach (Closes: #900566)
  * [96bf0c5] Update upstream source from tag 'upstream/10.3.0'
    Update to upstream version '10.3.0'
    with Debian dir ace0137b2d17e039ddac188fdcd15f882119925a
  * [e5a9b82] Re-add .travis.yml
  * [83e043f] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Aug 2018 23:41:00 +0200

open-vm-tools (2:10.2.5-1) unstable; urgency=medium

  * [ea03a58] Update upstream source from tag 'upstream/10.2.5'
    Update to upstream version '10.2.5'
    with Debian dir 74e96286320224bb6d5b717034930169514dbd51
  * [c1c18d3] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 06 Apr 2018 11:18:50 +0200

=== debian/control ===
Source: open-vm-tools
Section: admin
Priority: extra
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends:
 debhelper (>= 9.20160402~), autotools-dev, doxygen, libcunit1-dev,
 libdumbnet-dev, libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
 libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
 libxinerama-dev, libxss-dev, libxtst-dev, dh-systemd,
 libmspack-dev,
 libssl-dev,
 libxmlsec1-dev,
 libudev-dev,
 libdrm-dev
Standards-Version: 3.9.6
Homepage: https://github.com/vmware/open-vm-tools
Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools

Package: open-vm-tools
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2
Recommends: ethtool, zerofree, fuse, lsb-release
Suggests: open-vm-tools-desktop, cloud-init
Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains only the core user-space programs and libraries.

Package: open-vm-tools-desktop
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends},
 open-vm-tools (= ${binary:Version}),
 fuse
Breaks: open-vm-tools (<< 2:10.0.0~)
Replaces: open-vm-tools (<< 2:10.0.0~)
Recommends:
 xauth, xserver-xorg-input-vmmouse,
 xserver-xorg-video-vmware
Suggests: xdg-utils
Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the user-space programs and libraries that are essential
 for improved user experience of VMware virtual machines.

Package: open-vm-tools-dev
Section: devel
Architecture: amd64 i386
Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version})
Breaks: open-vm-tools (<< 2:9.10.2-2822639-2~)
Replaces: open-vm-tools (<< 2:9.10.2-2822639-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (development)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the development files.

## open-vm-tools 10.3.10

=== open-vm-tools/modules/solaris/vmhgfs/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2008-2016 VMware, Inc. All rights reserved.
#
# The contents of this file are subject to the terms of the Common
# Development and Distribution License (the "License") version 1.0
# and no later version.  You may not use this file except in
# compliance with the License.
#
# You can obtain a copy of the License at
#         http://www.opensource.org/licenses/cddl1.php
#
# See the License for the specific language governing permissions
# and limitations under the License.
#
##########################################################

##
## General build locations and variables
##

MODULE   := vmhgfs
CFLAGS   :=
LDFLAGS  :=

# Solaris version defines for in-code #ifdefs (default to Solaris 9)
ifeq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.11)
CFLAGS   += -DSOL11
else
ifeq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.10)
CFLAGS   += -DSOL10
else
CFLAGS   += -DSOL9
# we don't support Solaris 9 (we could but we use memcpy/memset
# and we'd need stubs to get the module to load into the kernel).
$(error "This makefile is only used for Solaris 10 and 11")
endif
endif

CFLAGS   += -ffreestanding
CFLAGS   += -nodefaultlibs

CFLAGS   += -O2
CFLAGS   += -Wall -Werror
CFLAGS   += $(GLOBAL_DEFS)
CFLAGS   += $(CC_WARNINGS)
CFLAGS   += -DVMX86_TOOLS
CFLAGS   += -I.

ifdef VMX86_DEVEL
CFLAGS   += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG               # For assertions
CFLAGS   += -DVMX86_DEBUG
endif
ifdef VMX86_LOG                 # For debug logging
CFLAGS   += -DVM_DEBUGGING_ON
endif

##
## Objects needed to build the HGFS kernel module
##
SOLHGFS_KRN_OBJS := debug.o
SOLHGFS_KRN_OBJS += filesystem.o
SOLHGFS_KRN_OBJS += hgfsBdGlue.o
SOLHGFS_KRN_OBJS += hgfsState.o
SOLHGFS_KRN_OBJS += kernelStubsSolaris.o
SOLHGFS_KRN_OBJS += module.o
SOLHGFS_KRN_OBJS += request.o
SOLHGFS_KRN_OBJS += vnode.o

SOLHGFS_32_KRN_OBJS := $(addprefix i386/, $(SOLHGFS_KRN_OBJS))
SOLHGFS_64_KRN_OBJS := $(addprefix amd64/, $(SOLHGFS_KRN_OBJS))

SOLHGFS_LIB_OBJS := backdoor.o
SOLHGFS_LIB_OBJS += cpName.o
SOLHGFS_LIB_OBJS += cpNameLinux.o
SOLHGFS_LIB_OBJS += hgfsBd.o
SOLHGFS_LIB_OBJS += hgfsEscape.o
SOLHGFS_LIB_OBJS += hgfsUtil.o
SOLHGFS_LIB_OBJS += message.o
SOLHGFS_LIB_OBJS += rpcout.o
SOLHGFS_LIB_OBJS += sha1.o

SOLHGFS_32_LIB_OBJS := $(addprefix i386/, $(SOLHGFS_LIB_OBJS))
SOLHGFS_32_LIB_OBJS += i386/backdoorGcc32.o

SOLHGFS_64_LIB_OBJS := $(addprefix amd64/, $(SOLHGFS_LIB_OBJS))
SOLHGFS_64_LIB_OBJS += amd64/backdoorGcc64.o

SOLHGFS_32_OBJS := $(SOLHGFS_32_KRN_OBJS) $(SOLHGFS_32_LIB_OBJS)
SOLHGFS_64_OBJS := $(SOLHGFS_64_KRN_OBJS) $(SOLHGFS_64_LIB_OBJS)

MODULE_32 := i386/$(MODULE)
MODULE_64 := amd64/$(MODULE)

ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/backdoor
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/hgfs

   VPATH  := $(OVT_SOURCE_DIR)/lib/backdoor
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/hgfs
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/hgfsBd
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/message
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/misc
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/rpcOut
endif

CFLAGS_32  := $(CFLAGS)
CFLAGS_32  += -m32
LDFLAGS_32 := $(LDFLAGS)

CFLAGS_64  := $(CFLAGS)
CFLAGS_64  += -m64
CFLAGS_64  += -mcmodel=kernel
CFLAGS_64  += -mno-red-zone
LDFLAGS_64 := $(LDFLAGS)
ifdef HAVE_GNU_LD
LDFLAGS_64 += -m elf_x86_64
else
LDFLAGS_64 += -64
endif

##
## Building targets
##
.PHONY: all prepare_dirs clean install

all: prepare_dirs $(MODULE_32) $(MODULE_64)

prepare_dirs:
	@echo "Creating build directories"
	mkdir -p i386
	mkdir -p amd64

# Build just the module for 32 bits kernel
$(MODULE_32): $(SOLHGFS_32_OBJS)
	@echo "Linking          $(MODULE_32)"
	$(LD) $(LDFLAGS_32) -r -o $(MODULE_32) $(SOLHGFS_32_OBJS)

$(SOLHGFS_32_KRN_OBJS): i386/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_32) -D_KERNEL -c $< -o $@

$(SOLHGFS_32_LIB_OBJS): i386/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_32) -c $< -o $@

# Now the same for 64 bits kernel
$(MODULE_64): $(SOLHGFS_64_OBJS)
	@echo "Linking          $(MODULE_64)"
	$(LD) $(LDFLAGS_64) -r -o $(MODULE_64) $(SOLHGFS_64_OBJS)

$(SOLHGFS_64_KRN_OBJS): amd64/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_64) -D_KERNEL -c $< -o $@

$(SOLHGFS_64_LIB_OBJS): amd64/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_64) -c $< -o $@

clean:
	@echo "Cleaning directories"
	@rm -rf $(MODULE_32) $(SOLHGFS_32_OBJS) i386
	@rm -rf $(MODULE_64) $(SOLHGFS_32_OBJS) amd64

install:
	@echo "Installing modules"
	cp $(MODULE_32) /kernel/drv/
	chmod 755 /kernel/drv/$(MODULE)
	cp $(MODULE_64) /kernel/drv/amd64
	chmod 755 /kernel/drv/amd64/$(MODULE)

=== debian/changelog ===
open-vm-tools (2:10.3.10-3ubuntu1) eoan; urgency=medium

  * Fix memory leaks in vix plugin (LP: #1847157)
    - d/p/lp-1847157-End-VGAuth-impersonation-in-the-case-of-error.patch
    - d/p/lp-1847157-Fix-leaks-in-ListAliases-and-ListMappedAliases-9bc72.patch
    - d/p/lp-1847157-Fix-memory-leaks-in-vix-tools-plugin.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Oct 2019 14:06:46 +0200

open-vm-tools (2:10.3.10-3build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:05:22 +0000

open-vm-tools (2:10.3.10-3) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [19c646a] gcc9 compatibility.
    Upstream commit c68172ef7f2d4f116078e2aba82986a8cab0b16e (Closes: #925794)

  [ Christian Ehrhardt ]
  * [865763e] Fix other ftbfs with GCC-9
    * d/rules: disable address-of-packed-member gcc-9 warnings for pre 11.0 code
    (LP: #1842301)
    * d/rules: use modern syntax for disabling deprecated-declarations
    * d/p/gcc9-Remove-GLib-2.32-deprecated-APIs-from-tools.patch: stop using outdated GLib features
    Upstream commit a7c141fc
    * d/p/gcc9-drop-obsolete-G_INLINE_FUNC.patch: stop using deprecated GLib Macro
    * d/p/gcc9-GStaticRecMutex.patch: stop using deprecated GStaticRecMutex
    Upstream commit 19ca3e36
    * d/p/gcc9-build-error-in-vmblocktest.c.patch: avoid error due to stringop-truncation
    Upstream commit 553d1283

  [ Bernd Zeimetz ]
  * [0ce2ba2] Policy 4.0.1: The extra priority has been deprecated
  * [c8760c6] Bumping Standards-Version to 4.4.0
  * [a6ed8ce] Don't override dh_builddeb.
    debian-rules-should-not-use-custom-compression-settings
  * [bdfd8b5] Remove add_patch script
  * [be4d889] Update copyright years.
  * [9ac710e] Remove autotools-dev dependency.
  * [4296cf4] Fix permissions of udev rules file
  * [ed11c19] A new lintian override

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 03 Sep 2019 18:06:54 +0200

open-vm-tools (2:10.3.10-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [d79cc9d] d/control: fix postinst missing lsmod/modprobe.
    Upgrades on open-vm-desktop can trigger errors like the following:
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: 5:
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: lsmod: not found
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: 6:
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: modprobe: not found
    The reason is that kmod isn't a dependency of open-vm-tools-desktop and
    could be missing e.g. if you installed it in a system container.
    Once might discuss how useful open-vm-tools-desktop is in that
    environment but a n issue to fix none the less.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Bernd Zeimetz ]
  * [4d3f25f] Fix guest OS reporting for Debian/Buster.
    Without this fix, open-vm-tools report other4xLinux64Guest instead of
    Debian/Buster.
    Reason is the output of lsb_release, which outputs:
    $ lsb_release -sd
    Debian GNU/Linux 10 (buster)
    But the code in open-vm-tools expects '10.'.
    Thanks to Oliver Kurth (Closes: #934005)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 07 Aug 2019 10:28:52 +0200

open-vm-tools (2:10.3.10-1) unstable; urgency=high

  * [122e511] Update upstream source from tag 'upstream/10.3.10'
    Update to upstream version '10.3.10'
    with Debian dir fb12c7cfc99a9497795475c29306e78d08cc3712
    - Closes: #925940
    - Bugfix release for the 10.3 series.
      - Correct and/or improve handling of certain quiesced
        snapshot failures (shipped as patch in 2:10.3.5-6).
      - Fix some bad derefs in primary NIC gather code
      - Fix possible security issue with the permissions of the
        intermediate staging directory and path.
        Closes: #925959
      - CONSTANT_EXPRESSION_RESULT in TimeUtil_StringToDate()
        Found by coverity.
      - Deploypkg log files of linux should not be world readable.
        They might contain sensitive data.
      - General code clean-up:
        - Treat local variables "len" consistently as "size_t"
          type in Posix_Getmntent_r()
        - Improve readability of error handling logic in
          ShrinkDoWipeAndShrink() and remove another line of dead code.
        - Setting "errno" to ENOENT when there is no passwd entry
          for the user.
      - Fix NULL pointer dereference and remove three lines of dead code.
    - Other changes/fixes, not related to Debian:
      - Update copyright years
      - Fix CentOS 7.6 detection
      - Include vmware/tools/log.h to define g_info (fix for SLES)
      - Special-case profile loading for StartProgram
        (Win32 only)
      - Changes to common source files not applicable to
        open-vm-tools. (Code used by other vmware tools, unrelated
        to open-vm-tools).
      - Bump up the SYSIMAGE_VERSION for VMware tools 10.3.10
      
  * [18de70f] Removing backported patches, shipped in 10.3.10.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 Mar 2019 11:58:17 +0100

open-vm-tools (2:10.3.5-8) unstable; urgency=medium

  [ Jean-Baptiste Lallement ]
  * [0f35aee] Add modaliases to open-vm-tools-desktop.
    Added Modaliases to open-vm-tools-desktop to auto-discover and
    auto-install the driver on Ubuntu via ubuntu-drivers. The driver is then
    installed at installation time and available on first boot for an
    improved user experience (LP: #1819207)

  [ Bernd Zeimetz ]
  * [dc4e1ce] Load vmwgfx module before vmtoolsd starts.
    As discussed on github in vmware/open-vm-tools#214
    we need to load the vmwgfx module before starting vmtoolsd
    for desktop users. Otherwise it is not able to retrieve the KMS
    resolutions and resizing the VM desktop fails.
    Thanks to @thomashvmw @rhertzog (Closes: #924518)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 13 Mar 2019 22:15:22 +0100

open-vm-tools (2:10.3.5-7) unstable; urgency=medium

  [ Christian Ehrhardt ]


=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: open-vm-tools
 Section: admin
-Priority: extra
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 9.20160402~), autotools-dev, doxygen, libcunit1-dev,
+ debhelper (>= 11~), doxygen, libcunit1-dev,
  libdumbnet-dev, libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
- libxinerama-dev, libxss-dev, libxtst-dev, dh-systemd,
+ libxinerama-dev, libxss-dev, libxtst-dev,
  libmspack-dev,
  libssl-dev,
  libxmlsec1-dev,
  libudev-dev,
- libdrm-dev
-Standards-Version: 3.9.6
+ libdrm-dev,
+Standards-Version: 4.4.0
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
 Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools
@@ -22,7 +23,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2
 Recommends: ethtool, zerofree, fuse, lsb-release
 Suggests: open-vm-tools-desktop, cloud-init
-Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
+Breaks: open-vm-tools-desktop (<< 2:10.3.5-2~)
 Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
 Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
  The Open Virtual Machine Tools (open-vm-tools) project is an open source
@@ -36,13 +37,15 @@
 Architecture: amd64 i386
 Depends: ${misc:Depends}, ${shlibs:Depends},
  open-vm-tools (= ${binary:Version}),
- fuse
-Breaks: open-vm-tools (<< 2:10.0.0~)
-Replaces: open-vm-tools (<< 2:10.0.0~)
+ fuse,
+ kmod,
+Breaks: open-vm-tools (<< 2:10.3.5-2~)
+Replaces: open-vm-tools (<< 2:10.3.5-2~)
 Recommends:
  xauth, xserver-xorg-input-vmmouse,
  xserver-xorg-video-vmware
 Suggests: xdg-utils
+XB-Modaliases: ${modaliases}
 Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
  The Open Virtual Machine Tools (open-vm-tools) project is an open source
  implementation of VMware Tools. It is a suite of virtualization utilities and

## open-vm-tools 10.3.10.1

=== debian/changelog ===
open-vm-tools (2:10.3.10.1-1+deb10u3) buster-security; urgency=medium

  * Updated Version No.

 -- DingHao <dinghao@uniontech.com>  Thu, 13 Oct 2022 13:08:21 +0800

open-vm-tools (2:10.3.10-1+deb10u3) buster-security; urgency=high

  * [a69beac] Properly check authorization on incoming guestOps requests
    (Closes: #1018012, CVE-2022-31676)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Aug 2022 10:14:57 +0200

open-vm-tools (2:10.3.10-1+deb10u2) buster; urgency=medium

  * [d512626] Fix memory leaks and error handling.
    From the upstream stable-10.3.10-vix-memory-leaks branch:
    commit 26b9edbeb79d1c67b9ae73a0c97c48999c1fb503
        Fix leaks in ListAliases and ListMappedAliases
    commit 7b874f37f970aab2adddb063a8363594f47abf70
        End VGAuth impersonation in the case of error.
    commit 015db4c06a8be65eb96cf62421e8b5366993452f
        Fix memory leaks in 'vix' tools plugin.
    Thanks to Oliver Kurth (Closes: #941955)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 09 Oct 2019 14:18:48 +0200

open-vm-tools (2:10.3.10-1+deb10u1) buster; urgency=medium

  * [efb4df1] Fix guest OS reporting for Debian/Buster.
    Without this fix, open-vm-tools report other4xLinux64Guest instead of
    Debian/Buster.
    Reason is the output of lsb_release, which outputs:
    $ lsb_release -sd
    Debian GNU/Linux 10 (buster)
    But the code in open-vm-tools expects '10.'.
    Thanks to Oliver Kurth (Closes: #934005)
  * [2308b74] Updating gbp.conf for buster.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 07 Aug 2019 21:09:29 +0200

## open-vm-tools 11.0.1

=== debian/changelog ===
open-vm-tools (2:11.0.1-2ubuntu0.19.04.2) disco; urgency=medium

  * d/p/lp-1855686-Avoid-vmtoolsd-crash-in-HostInfo.patch: fix crash with
    uncommon lsb_output behavior (LP: #1855686)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 09 Dec 2019 11:03:56 +0100

open-vm-tools (2:11.0.1-2ubuntu0.19.04.1) disco; urgency=medium

  * Update to latest release v11 (LP: #1844834)
    - d/rules: Revert "Enable all compiler errors again" for the older
      compiler

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Oct 2019 09:58:25 +0100

open-vm-tools (2:11.0.1-2) unstable; urgency=medium

  * [76c600f] Fix segfault for fs devices without /
    See https://github.com/vmware/open-vm-tools/issues/378 for details.
    Thanks to Mo Zhou (Closes: #942692)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Oct 2019 15:48:48 +0200

open-vm-tools (2:11.0.1-1) unstable; urgency=medium

  * [bb36e10] Update upstream source from tag 'upstream/11.0.1'
    Update to upstream version '11.0.1'
    with Debian dir 60c0d512096774b9a2a7cc9e4e94556b2893ae8a

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Oct 2019 09:40:50 +0200

open-vm-tools (2:11.0.0-2) unstable; urgency=medium

  * [4cfe383] Update Vcs-Git/Browser to point to salsa.
  * [bc253ad] Remove .travis.yml, add debian/.gitlab-ci.yml
  * [c92ca3a] Add add_patch.sh script to add patches from upstream.
  * [1d9b491] Add patch to remove deprecated inline functions
  * [3e2e307] Rename lintian-override file properly

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Oct 2019 23:25:24 +0200

open-vm-tools (2:11.0.0-1) unstable; urgency=medium

  [ goldstar611 ]
  * [c138871] Ensure VGAuthService starts after AppArmor
    https://gitlab.com/apparmor/apparmor/issues/13

  [ Bernd Zeimetz ]
  * [28ef841] New upstream version 11.0.0~0
  * [f78ed2d] New upstream version 11.0.0
    Closes: #940853
  * [19efc80] Revert "Revert "Removing libdumbnet-dev.""
    This reverts commit 31177fab964d92687501ab81774440a9b8d09e39.
  * [bc14a8b] snapshot changelog
  * [1c5e9ea] Dropping patches that were picked from upstream

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Sep 2019 14:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
  debhelper (>= 11~), doxygen, libcunit1-dev,
- libdumbnet-dev, libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
+ libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,
  libmspack-dev,
@@ -15,8 +15,8 @@
  libdrm-dev,
 Standards-Version: 4.4.0
 Homepage: https://github.com/vmware/open-vm-tools
-Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
-Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools
+Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
+Vcs-Browser: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools
 
 Package: open-vm-tools
 Architecture: amd64 i386

## open-vm-tools 11.0.5

=== debian/changelog ===
open-vm-tools (2:11.0.5-4ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: local privilege escalation
    - debian/patches/CVE-2022-31676.patch: check authorization on incoming
      guestOps requests in open-vm-tools/vgauth/serviceImpl/proto.c.
    - CVE-2022-31676

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Aug 2022 09:24:08 -0400

open-vm-tools (2:11.0.5-4ubuntu0.18.04.1) bionic; urgency=medium

  * Update to latest release v11.0.5 (LP: #1868012)
    - d/rules: Revert "Enable all compiler errors again" for the older compiler

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Mar 2020 11:33:50 +0100

open-vm-tools (2:11.0.5-4) unstable; urgency=medium

  * [c720d18] Run vmtoolsd with Nice=-20.
    Ensure that the watchdog is always able to answer.
    Thanks to Aron Xu (Closes: #953346)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 09 Mar 2020 17:10:31 +0100

open-vm-tools (2:11.0.5-3) unstable; urgency=medium

  * [9d3c1d7] Build-Depend on liblzma-dev.
    Thanks to Lucas Nussbaum (Closes: #951940)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 23 Feb 2020 16:57:41 +0100

open-vm-tools (2:11.0.5-2) unstable; urgency=medium

  * [eab2f1a] Add vmtoolsd.service alias.
    Debian's open-vm-tools.service is rather unsuaul and based on the
    history of the package, so ship an alias.
  * [b2977cd] Rectify a log spew in vmsvc logging.
    Upstream commit 4ee0bd3c8ead89541ab7d196fb54e940e397420d
    When a LSI Logic Parallel SCSI controller sits in PCI bus 0
    (SCSI controller 0), the Linux disk device enumeration does not provide
    a "label" file with the controller name.  This results in messages like
    "GuestInfoGetDiskDevice: Missing disk device name; VMDK mapping
    unavailable for "/var/log", fsName: "/dev/sda2" repeatedly appearing
    in the vmsvc logging.  The patch converts what previously was a warning
    message to a debug message and thus avoids the log spew.
    Thanks to Oliver Kurth (Closes: #950888)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 11 Feb 2020 15:56:51 +0100

open-vm-tools (2:11.0.5-1) unstable; urgency=medium

  * [e302fbf] Depend on lsb-release instead of recommending it.
  * [7731b26] Update upstream source from tag 'upstream/11.0.5'
    Update to upstream version '11.0.5'
    with Debian dir 7744f94a9026a7a3178032ef206d5d5798206fa5
    Closes: #949011
  * [68e74c1] snapshot changelog
  * [6ce977f] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 16 Jan 2020 14:05:36 +0100

open-vm-tools (2:11.0.1-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [e30fabc] d/p/lp-1855686-Avoid-vmtoolsd-crash-in-HostInfo.patch:
    fix crash with uncommon lsb_output behavior (LP: #1855686)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Dec 2019 00:56:03 +0100

open-vm-tools (2:11.0.1-3) unstable; urgency=medium

  * [c30953f] gitlab-ci: disable reprotest
  * [ee6873b] Use upstream patch to fix (ignore) ZFS.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 Oct 2019 21:16:31 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  libxmlsec1-dev,
  libudev-dev,
  libdrm-dev,
+ liblzma-dev,
 Standards-Version: 4.4.0
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
@@ -20,8 +21,8 @@
 
 Package: open-vm-tools
 Architecture: amd64 i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2
-Recommends: ethtool, zerofree, fuse, lsb-release
+Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release
+Recommends: ethtool, zerofree, fuse
 Suggests: open-vm-tools-desktop, cloud-init
 Breaks: open-vm-tools-desktop (<< 2:10.3.5-2~)
 Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)

=== debian/rules ===
#!/usr/bin/make -f

DEBHELPER_VERSION = $(strip $(shell dpkg-query -f '$${Version}' -W debhelper))
DEBHELPER_SYSTEMD_OK = $(strip $(shell dpkg --compare-versions $(DEBHELPER_VERSION) ge 10.9.1~; echo $$?))

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	VENDOR := UBUNTU
else
	VENDOR := DEBIAN
endif

%:
	dh ${@} --sourcedirectory=open-vm-tools

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=open-vm-tools -- \
			--prefix=/usr \
			--libdir=\$${prefix}/lib \
			--without-kernel-modules \
			--with-pic \
			--enable-xmlsec1 \
			--with-gtk3  \
			CFLAGS="-fPIC $(CFLAGS)" \
			CUSTOM_PROCPS_NAME=procps

override_dh_auto_install:
	dh_auto_install --sourcedirectory=open-vm-tools -- DESTDIR=$(CURDIR)/debian/open-vm-tools

	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools/etc/pam.d/vmtoolsd; \
	fi

	# permissions
	chmod 0644 debian/*/etc/pam.d/*
	chmod 4755 debian/*/usr/bin/vmware-user-suid-wrapper
	chmod 0644 debian/*/lib/udev/rules.d/99-vmware-scsi-udev.rules

	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf

	install -D -m 0644 debian/local/run-vmblock\\x2dfuse.mount debian/open-vm-tools-desktop/lib/systemd/system/run-vmblock\\x2dfuse.mount
	install -D -m 0644 debian/local/open-vm-tools-desktop.conf debian/open-vm-tools-desktop/usr/lib/modules-load.d/open-vm-tools-desktop.conf

	# open-vm-tools-dev
	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mv debian/open-vm-tools/usr/share/doc/open-vm-tools/api debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mkdir -p debian/open-vm-tools-dev/usr/lib
	mv \
	    debian/open-vm-tools/usr/lib/*.a \
	    debian/open-vm-tools/usr/lib/*.so \
	    debian/open-vm-tools/usr/lib/pkgconfig \
	    debian/open-vm-tools-dev/usr/lib
	mv debian/open-vm-tools/usr/include debian/open-vm-tools-dev/usr


	# removing useless files
	rm -f debian/open-vm-tools/usr/lib/*.la
	rm -f debian/open-vm-tools/usr/lib/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools/usr/share/open-vm-tools/tests

	# mount(8) calls the program as /sbin/mount.vmhgfs
	mv debian/open-vm-tools/usr/sbin/mount.vmhgfs debian/open-vm-tools/sbin/

	# moving open-vm-tools-desktop files
	mkdir -p debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-tools-desktop/usr/lib/open-vm-tools/plugins

	mkdir -p debian/open-vm-tools-desktop/usr/bin
	mv debian/open-vm-tools/usr/bin/vmware-user-suid-wrapper debian/open-vm-tools-desktop/usr/bin
	mv debian/open-vm-tools/usr/bin/vmware-user debian/open-vm-tools-desktop/usr/bin

	mkdir -p debian/open-vm-tools-desktop/etc/xdg/autostart
	mv debian/open-vm-tools/etc/xdg/autostart/vmware-user.desktop debian/open-vm-tools-desktop/etc/xdg/autostart
	rm -rf debian/open-vm-tools/etc/xdg
	
	mkdir -p debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d
	cp debian/desktop.conf debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d/

override_dh_gencontrol:
	if [ "${VENDOR}" = "UBUNTU" ]; \
	then \
		dh_gencontrol -- -Vmodaliases="vmwgfx(pci:v000015ADd00000405sv*sd*bc*sc*i*)"; \
	else \
		dh_gencontrol; \
	fi

override_dh_fixperms:
	dh_testroot
	find debian/open-vm-tools/etc -type f -print0 | xargs -0 chmod ugo-x
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/scripts/vmware/*
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/vm-support
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/*-vm-default

	dh_fixperms -Xvmware-user-suid-wrapper

override_dh_installsystemd:
	dh_installsystemd -popen-vm-tools
	dh_installsystemd -popen-vm-tools --name vgauth
	dh_installsystemd -popen-vm-tools-desktop --restart-after-upgrade --no-stop-on-upgrade run-vmblock\\x2dfuse.mount

override_dh_installchangelogs:
	dh_installchangelogs ReleaseNotes.md

override_dh_md5sums-arch:
	dh_md5sums
	# remove broken \ escaping from md5sums
	sed -i -e 's,^\\,,' -e 's,\\\\,\\,' debian/open-vm-tools-desktop/DEBIAN/md5sums

## open-vm-tools 11.0.5-4mint1

=== debian/changelog ===
open-vm-tools (2:11.0.5-4mint1) ulyssa; urgency=medium

  * Postinst: Don't call udevadm

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Dec 2020 16:11:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
  debhelper (>= 11~), doxygen, libcunit1-dev,
  libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,

## open-vm-tools 11.1.5

=== debian/changelog ===
open-vm-tools (2:11.1.5-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.
  * [4fb7061] Revert "Bump debhelper from old 11 to 12."
    This reverts commit 78048b82d3d69271cef1f7f834fbc5fdaac5ff81.
  * [a790a60] Use DEFAULT for gbp config.
  * [2ebc49b] No -Wno-error=address-of-packed-member in CFLAGS
  * [11b7548] Revert "Set debhelper-compat version in Build-Depends."
    This reverts commit f84675f9faa36d094164b81e00395bae70d43d81.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 20 Aug 2020 10:16:49 +0200

open-vm-tools (2:11.1.5-1) unstable; urgency=medium

  * [5515c98] Don't recommend xserver-xorg-input-vmmouse.
    Thanks to Raphaël Hertzog (Closes: #966465)
  * [8a31efc] Update upstream source from tag 'upstream/11.1.5'
    Update to upstream version '11.1.5'
    with Debian dir 62c70f15b660e7719555a78e6658ced5ca05ca35
    Closes: #968688
  * [09714a7] Removing patches that were applied upstream

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 20 Aug 2020 09:52:24 +0200

open-vm-tools (2:11.1.0-3) unstable; urgency=medium

  * [03d18b3] Fix gcc-10 related issues. (Closes: #957631)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Jul 2020 22:38:58 +0200

open-vm-tools (2:11.1.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [4d69c6a] d/p/lp-1877678-: fixes for the sdmp plugin that is new in 11.1.0.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [38bd11e] d/control: change net-tools dependency to iproute2.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Bernd Zeimetz ]
  * [c15c08d] Add net-tools as dependency again.
    Various scripts still use ifconfig.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 19 Jun 2020 14:05:44 +0200

open-vm-tools (2:11.1.0-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [6b7d31d] New upstream version 11.1.0
    (Closes: #960061) (LP: #1877672)
  * [3ece93a14] d/control, d/rules, d//*sdmp*: add service discovery plugin (sdmp)
    (Closes: #960065) (LP: #1877678)
    Thanks to Oliver Kurth for the initial contribution, changes in addition:
    - d/control: improve description
    - rules fix whitespace damage
    - maintscripts: fixed some whihtespace damage
    - maintscripts: fixed maintainer scripts per skeletons from dh_make
    - maintscripts: added the service-active-before-restart check to postinst
      as well (was only in rm)
    - maintscripts: use deb-systemd-invoke
    - d/control: add further dependencies used in sdmp
  * [e0c9fbc14] remove patches applied upstream in 11.1.0
    - d/p/4ee0bd3c8_Rectify-a-log-spew-in-vmsvc-logging-vmware-vmsvc-root.log
    - d/p/89c0d4445_GitHub-Issue-367.-Remove-references-to-deprecated-G_INLINE_FUNC
    - d/p/f1f0b812e_add-appinfo-plugin
  * [f4cf14931] d/rules: drop perm fixup of vm-support as it is properly
    in /usr/bin/ now
  * [d71e99e33] lintian: add overrides for intentional cases
  * [ba27a73eb] d/p/debian/vmxnet_fix_kernel_4.7.patch: drop unused patch
  * [7488e6e2f] d/copyright: fix tab in text

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 May 2020 09:46:40 +0200

open-vm-tools (2:11.0.5-5) unstable; urgency=medium

  * [8700b5e] Revert "Run vmtoolsd with Nice=-20"
    After discussing this issue with upstream we came to the conclusion that
    reverting this is the best option as it is possible to start programs
    trough vmtoolsd and they would also run with a nice level of -20.
    Upstream will fix this issue in a sane way.
  * [8a3a303] Add appinfo plugin.
    Thanks to Oliver Kurth (Closes: #954958)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 09 Apr 2020 11:42:15 +0200

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,15 @@
  libudev-dev,
  libdrm-dev,
  liblzma-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
 Vcs-Browser: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools
 
 Package: open-vm-tools
 Architecture: amd64 i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release
+Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release,
+ net-tools
 Recommends: ethtool, zerofree, fuse
 Suggests: open-vm-tools-desktop, cloud-init
 Breaks: open-vm-tools-desktop (<< 2:10.3.5-2~)
@@ -42,7 +43,7 @@
 Breaks: open-vm-tools (<< 2:10.3.5-2~)
 Replaces: open-vm-tools (<< 2:10.3.5-2~)
 Recommends:
- xauth, xserver-xorg-input-vmmouse,
+ xauth,
  xserver-xorg-video-vmware
 Suggests: xdg-utils
 XB-Modaliases: ${modaliases}
@@ -54,6 +55,19 @@
  .
  This package contains the user-space programs and libraries that are essential
  for improved user experience of VMware virtual machines.
+
+Package: open-vm-tools-sdmp
+Architecture: amd64 i386
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ open-vm-tools (= ${binary:Version}), iproute2, procps, gawk
+Description: Open VMware Tools for VMs hosted on VMware (Service Discovery Plugin)
+ The Open Virtual Machine Tools (open-vm-tools) project is an open source
+ implementation of VMware Tools. It is a suite of virtualization utilities and
+ drivers to improve the functionality, user experience and administration of
+ VMware virtual machines.
+ .
+ This package contains service discover plugin required to discover services
+ then used to build relationships between VMs in vRealiize.
 
 Package: open-vm-tools-dev
 Section: devel

## open-vm-tools 11.2.5

=== open-vm-tools/modules/freebsd/vmmemctl/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2007-2018 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
#### vmmemctl Makefile (for FreeBSD guest OS)
####

SRCS	:= os.c
SRCS	+= vmballoon.c
SRCS	+= backdoor_balloon.c
SRCS	+= kernelStubsBSD.c

.if $(MACHINE_ARCH) == "amd64"
SRCS    += backdoorGcc64.c
.else
SRCS    += backdoorGcc32.c
.endif
KMOD	= vmmemctl
PROG    = ../$(KMOD).ko
NOMAN	= t
NO_MAN  = t
KLDMOD	= t

# Don't print a warning that the object dir wasn't specified
NOOBJ   = 1
NO_OBJ  = 1

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/backdoor
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmmemctl
   CFLAGS += -isystem /usr/include
   VPATH  := $(OVT_SOURCE_DIR)/lib/backdoor
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmmemctl
.else
   CFLAGS += -Ishared
.endif

.include <bsd.kmod.mk>

.ifndef VERBOSE
.SILENT:
.endif

=== debian/changelog ===
open-vm-tools (2:11.2.5-2+deb11u5) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2025-41244
    Disable (default) the execution of the SDMP get-versions.sh script

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Sep 2025 10:03:02 +0200

open-vm-tools (2:11.2.5-2+deb11u4) bullseye-security; urgency=medium

  * [1f39bba] Fixing an insecure file handling vulnerability.
    It allowed a malicious actor with non-administrative privileges
    on a guest VM to tamper the local files to trigger insecure file
    operations within that VM.
    VMSA-2025-0007
    CVE-2025-22247 (Closes: #1105159)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 12 May 2025 15:49:02 +0200

open-vm-tools (2:11.2.5-2+deb11u3) bullseye-security; urgency=medium

  * Closes:  #1054666
  * [5f241c9] Fixing CVE-2023-34059.
    This fixes a file descriptor hijack vulnerability in the vmware-user-suid-wrapper
    command.  A malicious actor with non-root privileges might have been able to hijack the
    /dev/uinput file descriptor allowing them to simulate user inputs.
  * [0c3fe2a] Fixing CVE-2023-34058.
    This fixes a SAML Token Signature Bypass vulnerability. A malicious actor
    that has been granted Guest Operation Privileges in a target virtual
    machine might have been able to elevate their privileges if that target
    virtual machine has been assigned a more privileged Guest Alias.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Oct 2023 18:02:12 +0100

open-vm-tools (2:11.2.5-2+deb11u2) bullseye-security; urgency=high

  * [29e736e] Fixing CVE-2023-20867, CVE-2023-20900
    - Authentication Bypass vulnerability in VMware Tools (CVE-2023-20867)
      A fully compromised ESXi host can force VMware Tools to fail to
      authenticate host-to-guest operations, impacting the confidentiality
      and integrity of the guest virtual machine.
    - SAML token signature bypass vulnerability (CVE-2023-20900)
      A malicious actor with man-in-the-middle (MITM) network positioning
      between vCenter server and the virtual machine may be able to bypass
      SAML token signature verification, to perform VMware Tools Guest
      Operations. (Closes: #1050970)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 06 Sep 2023 20:17:28 +0200

open-vm-tools (2:11.2.5-2+deb11u1) bullseye-security; urgency=high

  * [67b16ff] Properly check authorization on incoming guestOps requests.
    (Closes: #1018012 CVE-2022-31676)
  * [747392e] gbp: build in bullseye
  * [80c2e62] gitlab-ci: build in bullseye

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Aug 2022 10:28:40 +0200

open-vm-tools (2:11.2.5-2) unstable; urgency=medium

  * [7f14954] Drop max_nic_count patch.
    See https://github.com/vmware/open-vm-tools/issues/128 for details.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 25 Feb 2021 17:49:11 +0100

open-vm-tools (2:11.2.5-1) unstable; urgency=medium

  * [b54d022] New upstream version 11.2.5
    Thanks: John Wolfe
    Closes: #980190

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 Jan 2021 22:30:08 +0100

open-vm-tools (2:11.2.0-2) unstable; urgency=medium

  * [d5d4593] Fix building with new gcc versions
  * [94ce968] build-depend on libgdk-pixbuf-xlib-2.0-dev
    Closes: #978262
    Thanks to Lucas NUssbaum for the upload reminder.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Dec 2020 00:01:29 +0100

open-vm-tools (2:11.2.0-1) unstable; urgency=medium

  * [447d833] Update upstream source from tag 'upstream/11.2.0'
    Update to upstream version '11.2.0'
    with Debian dir 67243748d9ba09fc4e53f1ab4e921e119c981beb
    Closes: #972732
  * [704edba] remove pam-use-common-auth-account patch.
    Not needed anymore
  * [f792922] Use upstream pam file for Debian

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2020 19:33:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 			--with-pic \
 			--enable-xmlsec1 \
 			--with-gtk3  \
-			CFLAGS="-fPIC $(CFLAGS)" \
+			--enable-servicediscovery \
+			CFLAGS="-fPIC -Wno-error=deprecated-declarations -Wno-error=address-of-packed-member -Wno-nonnull $(CFLAGS)" \
 			CUSTOM_PROCPS_NAME=procps
 
 override_dh_auto_install:
@@ -74,9 +75,16 @@
 	mkdir -p debian/open-vm-tools-desktop/etc/xdg/autostart
 	mv debian/open-vm-tools/etc/xdg/autostart/vmware-user.desktop debian/open-vm-tools-desktop/etc/xdg/autostart
 	rm -rf debian/open-vm-tools/etc/xdg
-	
+
 	mkdir -p debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d
 	cp debian/desktop.conf debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d/
+
+	mkdir -p debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/plugins/vmsvc/
+	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmsvc/libserviceDiscovery.so debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/plugins/vmsvc/
+
+	mkdir -p debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/serviceDiscovery/scripts/
+	mv debian/open-vm-tools/usr/lib/open-vm-tools/serviceDiscovery/scripts/* debian/open-vm-tools-sdmp/usr/lib/open-vm-tools/serviceDiscovery/scripts/
+	rm -rf debian/open-vm-tools/usr/lib/open-vm-tools/serviceDiscovery/
 
 override_dh_gencontrol:
 	if [ "${VENDOR}" = "UBUNTU" ]; \
@@ -90,7 +98,6 @@
 	dh_testroot
 	find debian/open-vm-tools/etc -type f -print0 | xargs -0 chmod ugo-x
 	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/scripts/vmware/*
-	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/vm-support
 	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/*-vm-default
 
 	dh_fixperms -Xvmware-user-suid-wrapper
@@ -107,4 +114,3 @@
 	dh_md5sums
 	# remove broken \ escaping from md5sums
 	sed -i -e 's,^\\,,' -e 's,\\\\,\\,' debian/open-vm-tools-desktop/DEBIAN/md5sums
-

=== debian/watch ===
version=3
https://github.com/vmware/open-vm-tools/tags /vmware/open-vm-tools/archive/stable-([0-9.-]+).tar.gz

## open-vm-tools 11.2.5-2ubuntu1mint1

=== debian/changelog ===
open-vm-tools (2:11.2.5-2ubuntu1mint1) uma; urgency=medium

  * Postinst: Don't call udevadm

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Jun 2021 17:24:45 +0100

open-vm-tools (2:11.2.5-2ubuntu1~ubuntu20.04.1) focal; urgency=medium

  * Update to latest release v11.2.5 (LP: #1911831)
    - Revert "Add net-tools as dependency again." as we don't want to
      modify the focal seed/ISO content without a real issue behind it.
    - Revert "build-depend on libgdk-pixbuf-xlib-2.0-dev"

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Mar 2021 08:14:50 +0100

open-vm-tools (2:11.2.5-2ubuntu1) hirsute; urgency=medium

  * d/p/fix-FTFBS-glib2.0-2.66.3.patch: fix FTBFS with glib2.0 >=2.66.3

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 08 Mar 2021 12:12:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
- debhelper (>= 11~), doxygen, libcunit1-dev,
+ debhelper-compat (= 12), doxygen, libcunit1-dev,
  libfuse-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,
@@ -20,8 +21,7 @@
 
 Package: open-vm-tools
 Architecture: amd64 i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release,
- net-tools
+Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release
 Recommends: ethtool, zerofree, fuse
 Suggests: open-vm-tools-desktop, cloud-init
 Breaks: open-vm-tools-desktop (<< 2:10.3.5-2~)
